### Hierarchy

- NodeCryptoAesCipher

### Implements

- AesCipher

## Index

### Constructors

- constructor

### Properties

- createCipher
- createDecipher

### Methods

- decrypt
- encrypt

## Constructors

### constructor

- new NodeCryptoAesCipher(createCipher: NodeCryptoCreateCipher, createDecipher: NodeCryptoCreateDecipher): NodeCryptoAesCipher

- - Defined in src/encryption/aesCipher.ts:25

  #### Parameters

  - ##### createCipher: NodeCryptoCreateCipher

  - ##### createDecipher: NodeCryptoCreateDecipher

  #### Returns NodeCryptoAesCipher

## Properties

### createCipher

createCipher: NodeCryptoCreateCipher

- Defined in src/encryption/aesCipher.ts:23

### createDecipher

createDecipher: NodeCryptoCreateDecipher

- Defined in src/encryption/aesCipher.ts:25

## Methods

### decrypt

- decrypt(algorithm: CipherAlgorithm, key: Buffer, iv: Buffer, data: Buffer): Promise<Buffer>

- Implementation of AesCipher.decrypt

  - Defined in src/encryption/aesCipher.ts:46

  #### Parameters

  - ##### algorithm: CipherAlgorithm

  - ##### key: Buffer

  - ##### iv: Buffer

  - ##### data: Buffer

  #### Returns Promise<Buffer>

### encrypt

- encrypt(algorithm: CipherAlgorithm, key: Buffer, iv: Buffer, data: Buffer): Promise<Buffer>

- Implementation of AesCipher.encrypt

  - Defined in src/encryption/aesCipher.ts:32

  #### Parameters

  - ##### algorithm: CipherAlgorithm

  - ##### key: Buffer

  - ##### iv: Buffer

  - ##### data: Buffer

  #### Returns Promise<Buffer>

Generated using TypeDoc